<template>
  <main id="news-archive">
    <div class="title-block">
      <h1>
        <strong>{{ $gettext('PeerTube news archive') }}</strong>
      </h1>

      <div class="small-separator"></div>
    </div>

    <div class="text-center mb-3">
      <router-link to="/news" class="jpt-primary-button jpt-link-button">Go back to the latest news</router-link>
    </div>

    <div class="big-container color-container news-container">
      <div class="small-container">
        <NewsArticle v-for="article in articles" :key="article.id" :article="article" :overview="true"></NewsArticle>
      </div>
    </div>
  </main>
</template>

<script>
  import { defineComponent } from 'vue'

  import { useGettext } from 'vue3-gettext'
  import { useHead } from '@vueuse/head'

  import NewsArticle from '../../components/news/NewsArticle.vue'

  import { buildHead } from '../../shared/head'
  import { buildArticles } from '../../shared/news'

  // We need a dedicated component for archived news to not load all news inside the same component
  export default defineComponent({
    components: {
      NewsArticle
    },

    setup () {
      const { $gettext } = useGettext()

      return useHead(buildHead({
        title: $gettext('PeerTube news archive'),

        url: import.meta.env.VITE_URL + '/news-archive'
      }))
    },

    data: function () {
      return {
        articles: []
      }
    },

    mounted () {
      this.getNews()
    },

    methods: {
      getNews () {
        const markdownFiles = this.getCurrentShortLocale() === 'fr'
          ? import.meta.glob('../../news/archives/fr/*.md', { eager: true })
          : import.meta.glob('../../news/archives/en/*.md', { eager: true })

        this.articles = buildArticles(markdownFiles)
      }
    }
  })
</script>

<style lang="scss" scoped>
  @import '../../scss/_variables.scss';
  @import '../../scss/_mixins.scss';
  @import '../../scss/bootstrap-mixins.scss';

  #news-archive {
    .news-container {
      @include media-breakpoint-down(sm) {
        padding-inline-start: 0;
        padding-inline-end: 0;
      }
    }
  }
</style>
